Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
Class SimpleGroovyExecutableMemberDoc

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
          org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc
              org.codehaus.groovy.tools.groovydoc.SimpleGroovyMemberDoc
                  org.codehaus.groovy.tools.groovydoc.SimpleGroovyExecutableMemberDoc

All Implemented Interfaces:
  Comparable, GroovyDoc, GroovyExecutableMemberDoc, GroovyMemberDoc, GroovyProgramElementDoc

Direct Known Subclasses:
  SimpleGroovyConstructorDoc, SimpleGroovyMethodDoc

    public class SimpleGroovyExecutableMemberDoc

extends SimpleGroovyMemberDoc
implements GroovyExecutableMemberDoc

Constructor Summary
`SimpleGroovyExecutableMemberDoc(String name)`
`SimpleGroovyExecutableMemberDoc(String name, List links)`

Method Summary
`void` | `add(GroovyParameter parameter)`
`String` | `flatSignature()`
`boolean` | `isNative()`
`boolean` | `isSynchronized()`
`boolean` | `isVarArgs()`
`GroovyParameter[]` | `parameters()`
`String` | `signature()`
`GroovyClassDoc[]` | `thrownExceptions()`
`GroovyType[]` | `thrownExceptionTypes()`

Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyMemberDoc
`isSynthetic`

Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc
`containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName, setContainingPackage, setPublic, setStatic`

Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
`commentText, compareTo, firstSentenceCommentText, getDocUrl, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, replaceAllTags, setAsInterfaceDefinition, setRawCommentText, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyMemberDoc
`isSynthetic`

Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyProgramElementDoc
`containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName`

Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc
`commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### SimpleGroovyExecutableMemberDoc

    public SimpleGroovyExecutableMemberDoc(String name)

### SimpleGroovyExecutableMemberDoc

    public SimpleGroovyExecutableMemberDoc(String name,
                                           List links)

Method Detail

### parameters

    public GroovyParameter[] parameters()

  Specified by:
    `parameters` in interface `GroovyExecutableMemberDoc`

### add

    public void add(GroovyParameter parameter)

### flatSignature

    public String flatSignature()

  Specified by:
    `flatSignature` in interface `GroovyExecutableMemberDoc`

### isNative

    public boolean isNative()

  Specified by:
    `isNative` in interface `GroovyExecutableMemberDoc`

### isSynchronized

    public boolean isSynchronized()

  Specified by:
    `isSynchronized` in interface `GroovyExecutableMemberDoc`

### isVarArgs

    public boolean isVarArgs()

  Specified by:
    `isVarArgs` in interface `GroovyExecutableMemberDoc`

### signature

    public String signature()

  Specified by:
    `signature` in interface `GroovyExecutableMemberDoc`

### thrownExceptions

    public GroovyClassDoc[] thrownExceptions()

  Specified by:
    `thrownExceptions` in interface `GroovyExecutableMemberDoc`

### thrownExceptionTypes

    public GroovyType[] thrownExceptionTypes()

  Specified by:
    `thrownExceptionTypes` in interface `GroovyExecutableMemberDoc`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD